using System;
namespace takmicenjezad1
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int test_primeri = int.Parse(Console.ReadLine());
            string[] resenja = new string[test_primeri];
            for (int i = 0; i < test_primeri; i++)
            {
                int br_brojeva = int.Parse(Console.ReadLine());
                int[] brojevi = new int[br_brojeva];
                var line = Console.ReadLine();
                var data = line.Split(' ');
                for (int x = 0; x < br_brojeva; x++)
                {
                    brojevi[x] = int.Parse(data[x]);
                }
                int[] brojevi2 = new int[br_brojeva];
                var line2 = Console.ReadLine();
                var data2 = line2.Split(' ');
                for (int x = 0; x < br_brojeva; x++)
                {
                    brojevi2[x] = int.Parse(data2[x]);
                }
                int y = brojevi.Length-1;
                for (int x = 0; x < br_brojeva; x++)
                {
                    if (Math.Abs(brojevi2[x]) - (2*Math.Abs(brojevi[y])) == Math.Abs(brojevi[x])*-1)
                    {
                        y--;
                        if (x + 1 == br_brojeva)
                        {
                            resenja[i] = "DA";
                            break;
                        }
                        continue;
                    }
                    else
                    {
                        resenja[i] = "NE";
                        break;
                    }
                }
            }
            for (int o = 0; o< test_primeri; o++)
            {
                Console.WriteLine(resenja[o]);
            }
        }
    }
}